# Interface StructTypeGlobal

Global structs

#### Category

Container types

#### Hierarchy

- StructTypeGlobal

- Defined in codec/lib/format/types.ts:400

#####
Index

### Properties

id
kind
location?
memberTypes?
typeClass
typeName

## Properties

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:406

### kind

kind: "global"

- Defined in codec/lib/format/types.ts:402

### `Optional` location

location?: Location

- Defined in codec/lib/format/types.ts:412

### `Optional` memberTypes

memberTypes?: NameTypePair[]

these must be in order

- Defined in codec/lib/format/types.ts:411

### typeClass

typeClass: "struct"

- Defined in codec/lib/format/types.ts:401

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:407

Generated using TypeDoc